Name:		k4guitune
Version:	1.1.0
Release:	%mkrel 4
Summary:	A program to tune a musical instrument
License:	GPLv2+
Group:		Graphical desktop/KDE4
Url:		http://kde-apps.org/content/show.php/K4Guitune?content=117669
Source:		117669-%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs4-devel

%description
K4Guitune is a program to tune a musical instrument using
your computer and its microphone or line-in input. The pitch
detection algorithm is based on finding the first peak in
the autocorrelation of the input signal.




%prep
%setup -q -n %{name}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/k4guitune
%_datadir/applications/kde4/k4guitune.desktop
%_datadir/apps/k4guitune/k4guituneui.rc
%_datadir/config.kcfg/k4guitune.kcfg
%_datadir/icons/hicolor/16x16/apps/k4guitune.png
%_datadir/icons/hicolor/32x32/apps/k4guitune.png
%_datadir/icons/hicolor/48x48/apps/k4guitune.png
%_datadir/doc/kde4/HTML/en/k4guitune/

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.1.0-3pclos2010
- rebuild for 4.5.1

* Thu May 20 2010 Texstar <texstar at gmail.com> 1.1.0-2pclos2010
- fix doc file

* Wed May 19 2010 Texstar <texstar at gmail.com> 1.1.0-1pclos2010
- initial package

